Fenrir doesn't talk.

Linux for blind general discussion blinux-list at redhat.com
Fri Aug 4 21:06:37 UTC 2017


Howd,

Ah i will make python 3 the default for the script thanks for reporting.
The python  language  did some incompatible breaks between version 2 and 3 thats why there are mostly for everything are bindings for python 2 and python3 in seperated way.

Cheers Chrys 

Am Freitag 4. August 2017 schrieb Linux for blind general discussion:
> Actually, when I run check-dependencys.py with python3 instead of
> python, everything passes but pyenchant.
> Pyenchant is already installed in python2.7 but I have no idea how to
> install it so that it works with python3.
> I don't understand the difference between python, python2.7, python3...
> 
> On 8/4/17, Linux for blind general discussion <blinux-list at redhat.com> wrote:
> > Howdy,
> >
> > Thanks for the typo :) i fixed it.
> > What distro are you using? fenrir needs a very current system
> > python>=3.3, python3-evdev >=0.6.4, current version of sox what
> > contains opus support for opus soundIcons (but for soundicons you also
> > can use WAV or the gstreamer backend).
> > Are you using master or stable? are you using pulseaudo or plain alsa?
> > (alsa should work out of the box, pulse would need some configuration
> > to stream the "root" soundoutput to your user)
> > can you post the output of check-dependencies?
> > fenrir is written in python3 so you may need to take care if you
> > install the python2 or python3 version of an module.
> >
> > what happens if you just type in the bash:
> > $python3
> > (python opens)
> >>>> import speechd
> >
> > maybe you can produce a debug out for me. (with master)
> > sudo rm /var/log/fenrir.log
> > sudo /path/to/fenrir/fenrir -d
> > (stop fenrir)
> > send me /var/log/fenrir.log
> >
> > there is also some user documentation found here:
> > https://wiki.linux-a11y.org/doku.php?id=fenrir_user_manual&s[]=fenrir
> >
> > Cheers Chrys
> >
> >
> > Zitat von Linux for blind general discussion <blinux-list at redhat.com>:
> >
> >> I have all the "dependencys" installed. However, it complains that
> >> python3-speechd and python3-espeak are missing. They aren't. Neither
> >> is speech dispatcher. Fenrir starts but doesn't talk. What should I
> >> try?
> >>
> >> _______________________________________________
> >> Blinux-list mailing list
> >> Blinux-list at redhat.com
> >> https://www.redhat.com/mailman/listinfo/blinux-list
> >
> >
> >
> > _______________________________________________
> > Blinux-list mailing list
> > Blinux-list at redhat.com
> > https://www.redhat.com/mailman/listinfo/blinux-list
> >
> 
> _______________________________________________
> Blinux-list mailing list
> Blinux-list at redhat.com
> https://www.redhat.com/mailman/listinfo/blinux-list
>




More information about the Blinux-list mailing list